Bug 54594 - keycombo template bug
Summary: keycombo template bug
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: docbook-style-xsl   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-13 19:19 UTC by Tim Waugh
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-06 12:23:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
keys.xsl (620 bytes, text/plain)
2001-10-13 19:19 UTC, Tim Waugh
no flags Details
keys.xml (203 bytes, text/plain)
2001-10-13 19:20 UTC, Tim Waugh
no flags Details

Description Tim Waugh 2001-10-13 19:19:01 UTC
Description of Problem:
I don't know XSL well enough to know if this is really a bug, but it seems odd at 
the last.

Version-Release number of selected component (if applicable):
1.0.5-1

How Reproducible:
100%

I would expect the output from the following attachments run as

xslt keys.xsl keys.xml

to be this:

<?xml version='1.0'>
C-h C-f

but instead it is

<?xml version=1.0'>
Ch Cf

Comment 1 Tim Waugh 2001-10-13 19:19:23 UTC
I mean xsltproc of course.


Comment 2 Tim Waugh 2001-10-13 19:19:48 UTC
Created attachment 34041 [details]
keys.xsl

Comment 3 Tim Waugh 2001-10-13 19:20:20 UTC
Created attachment 34042 [details]
keys.xml

Comment 4 Daniel Veillard 2001-10-14 17:33:06 UTC
No bug that I know of.
I have a really hard time trying to understand what (and how)
you're trying to achieve, keycombo is both the top node and
its first child element (bad design or error ?).To check how xsltproc evaluate
the stylesheet run with -v:

 xsltproc -v keys.xsl keys.xml

Daniel

Comment 5 Tim Waugh 2001-10-14 18:21:16 UTC
The XML comes straight out of DocBook, and the XSL from docbook-xsl-1.45.  
xsl:for-each is killing the template processing of the child keycombo nodes; is it 
meant to?


Comment 6 Tim Waugh 2001-10-14 21:52:33 UTC
Oh, you're right; I've learnt a little more XSL now.  This is a docbook-xsl bug.
(Hmm, no bugzilla component for that..)


Comment 7 Tim Waugh 2001-12-05 17:38:23 UTC
Fixed in docbook-style-xsl-1.47-1.



Note You need to log in before you can comment on or make changes to this bug.